Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.4.1 generated on May 30 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.remote
Class ClientPersistenceManagerFactory

    java.lang.Object
      |
      +--kodo.runtime.PersistenceManagerFactoryImpl
            |
            +--kodo.remote.ClientPersistenceManagerFactory

All Implemented Interfaces:
  com.solarmetric.util.Closeable, KodoPersistenceManagerFactory, PersistenceManagerFactory, Serializable

public class ClientPersistenceManagerFactory
extends PersistenceManagerFactoryImpl

Persistence manager factory type for use with Kodo's client/server execution mode.

See Also:
  Serialized Form

Constructor Summary
`ClientPersistenceManagerFactory()` Default constructor; however, the factory construction methods are recommended.
`ClientPersistenceManagerFactory(ClientConfiguration conf)` Construct the factory with the given option settings; however, the factory construction methods are recommended.

Method Summary
`void` | `addTransferListener(RemoteTransferListener listener)` Register a TransferListener that will be called as the persistence manager uploads objects to the server during flush operations and when objects are downloaded from the server as part of queries or loads.
`static ClientPersistenceManagerFactory` | `getPersistenceManagerFactory()` Factory method for constructing a persistence manager factory from the default configuration.
`static ClientPersistenceManagerFactory` | `getPersistenceManagerFactory(ClientConfiguration conf)` Factory method for constructing a persistence manager factory from a configuration.
`static PersistenceManagerFactory` | `getPersistenceManagerFactory(Properties props)` Factory method for constructing a persistence manager factory from properties.
`Properties` | `getProperties()` Subclasses should override this method to add a `Platform` property listing the runtime platform, such as: `Kodo JDO JDBC Edition: Oracle Database`
`Collection` | `getTransferListeners()`
`protected StoreManager` | `newStoreManager()` Return a new StoreManager for this runtime.
`void` | `registerTransferListener(RemoteTransferListener listener)` Deprecated. replaced by `addTransferListener(kodo.remote.RemoteTransferListener)`
`void` | `removeTransferListener(RemoteTransferListener listener)` Deregisters a previously registered RemoteTransferListener.

Methods inherited from class kodo.runtime.PersistenceManagerFactoryImpl
`addInstanceLifecycleListener, addInstanceLifecycleListeners, close, configurePersistenceManager, findPersistenceManager, findTransactionalPersistenceManager, freeze, getConfiguration, getConnectionDriverName, getConnectionFactory, getConnectionFactory2, getConnectionFactory2Name, getConnectionFactoryName, getConnectionPassword, getConnectionURL, getConnectionUserName, getIgnoreCache, getMultithreaded, getNontransactionalRead, getNontransactionalWrite, getOptimistic, getPersistenceManager, getPersistenceManager, getPersistenceManager, getPersistenceManager, getPooledFactory, getRestoreValues, getRetainValues, isPersistenceManagerServerRunning, joinPersistenceManagerServer, loadPersistentClasses, lock, newPersistenceManager, pool, readResolve, removeInstanceLifecycleListener, setConnectionDriverName, setConnectionFactory, setConnectionFactory2, setConnectionFactory2Name, setConnectionFactoryName, setConnectionPassword, setConnectionURL, setConnectionUserName, setIgnoreCache, setMultithreaded, setNontransactionalRead, setNontransactionalWrite, setOptimistic, setRestoreValues, setRetainValues, setup, startPersistenceManagerServer, stopPersistenceManagerServer, supportedOptions, unlock`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClientPersistenceManagerFactory

    public ClientPersistenceManagerFactory()

  Default constructor; however, the factory construction methods are recommended.

### ClientPersistenceManagerFactory

    public ClientPersistenceManagerFactory(ClientConfiguration conf)

  Construct the factory with the given option settings; however, the factory construction methods are recommended.

Method Detail

### getPersistenceManagerFactory

    public static PersistenceManagerFactory getPersistenceManagerFactory(Properties props)

  Factory method for constructing a persistence manager factory from properties. Invoked from `JDOHelper.getPersistenceManagerFactory(java.util.Properties)`.

### getPersistenceManagerFactory

    public static ClientPersistenceManagerFactory getPersistenceManagerFactory()

  Factory method for constructing a persistence manager factory from the default configuration.

### getPersistenceManagerFactory

    public static ClientPersistenceManagerFactory getPersistenceManagerFactory(ClientConfiguration conf)

  Factory method for constructing a persistence manager factory from a configuration.

### getProperties

    public Properties getProperties()

  Description copied from class: `PersistenceManagerFactoryImpl`
  Subclasses should override this method to add a `Platform` property listing the runtime platform, such as: `Kodo JDO JDBC Edition: Oracle Database`
  Overrides:
    `getProperties` in class `PersistenceManagerFactoryImpl`

### newStoreManager

    protected StoreManager newStoreManager()

  Description copied from class: `PersistenceManagerFactoryImpl`
  Return a new StoreManager for this runtime. Note that the instance returned here may be wrapped before being passed to the `PersistenceManagerFactoryImpl.newPersistenceManager(java.lang.String, java.lang.String)` method.
  Overrides:
    `newStoreManager` in class `PersistenceManagerFactoryImpl`

### getTransferListeners

    public Collection getTransferListeners()

### addTransferListener

    public void addTransferListener(RemoteTransferListener listener)

  Register a TransferListener that will be called as the persistence manager uploads objects to the server during flush operations and when objects are downloaded from the server as part of queries or loads. See `RemoteTransferListener`

### registerTransferListener

    public void registerTransferListener(RemoteTransferListener listener)

  Deprecated. replaced by `addTransferListener(kodo.remote.RemoteTransferListener)`

### removeTransferListener

    public void removeTransferListener(RemoteTransferListener listener)

  Deregisters a previously registered RemoteTransferListener. See `addTransferListener(kodo.remote.RemoteTransferListener)`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.4.1 generated on May 30 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.